import { jsx as _jsx } from "@stencil/core/jsx-runtime";
import { Host } from "@stencil/core";
export class MoneyField {
    host;
    // MARK: Props
    // MARK: Render
    render() {
        return (_jsx(Host, { children: _jsx("div", { class: "dds-money-field", children: _jsx("slot", {}, '9abbee37a770dc077ba2ab9acef3800c35f857dd') }, 'd53467e07af903385a9e6c683c1ab5d21756baa6') }, '78bf7a3de56a50ef8f7045a24fac925a81963a4f'));
    }
    static get is() { return "dds-money-field"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["money-field.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["money-field.css"]
        };
    }
    static get elementRef() { return "host"; }
}
